"""
The Trainer class is a customizable tool designed to streamline the training, evaluation,\
and prediction processes for PyTorch models.

With a comprehensive set of features and flexible functionalities, it empowers users to efficiently train and assess their
machine learning models with ease. At its core, the Trainer class encapsulates essential components necessary for model training,
including the model architecture, data loaders for training, validation, and optionally testing datasets, loss function, optimizer,
and scheduling mechanisms. It also provides hooks for incorporating custom metrics and callbacks, offering extensibility for
tailored evaluation and logging during training.

"""

from torchmate.trainer.trainer import Trainer

# __all__ = ["Trainer"]
